package org.mmga.clubs.entities.club;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.mmga.clubs.entities.user.ClubUserSimpleInformation;

import java.util.List;

@Data
@Schema(description = "社团详细详细")
public class ClubInformation {
    @Schema(description = "社团ID")
    private int id;
    @Schema(description = "社团名称")
    private String name;
    @Schema(description = "社团简介")
    private String commit;
    @Schema(description = "社团用户信息")
    private List<ClubUserSimpleInformation> users;
}
