package org.mmga.clubs.entities.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "社团用户简单信息")
public class ClubUserSimpleInformation extends UserSimpleInformation{
    @Schema(description = "社团ID")
    private int clubId;
    @Schema(description = "社团职务名称")
    private String clubAuthName;
}
