package org.mmga.clubs.entities.permission;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import org.mmga.clubs.entities.router.Router;

import java.util.List;

@Data
@AllArgsConstructor
@Schema(description = "单个权限")
public class Permission {
    @Schema(description = "权限ID")
    private int id;
    @Schema(description = "权限名称")
    private String name;
    @Schema(description = "此权限可访问的Router")
    private List<Router> routers;
}
