package org.mmga.clubs.entities.user;

import lombok.Data;
import org.apache.commons.codec.digest.DigestUtils;

@Data
public class UserRegResponseVo {
    private int id;
    private final String username;
    private final String password;
    private final int auth;
    public UserRegResponseVo(UserRegVo userRegVo) {
        this.username = userRegVo.username();
        this.password = DigestUtils.sha1Hex(userRegVo.password());
        this.auth = userRegVo.auth();
    }
}
