package org.mmga.clubs.entities.user;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "用户注册参数")
public record UserRegVo(@Schema(description = "用户名") String username,@Schema(description = "密码（使用MD5摘要后的hex字符串）") String password,@Schema(description = "用户的权限组ID") int auth, @Schema(description = "验证码密钥") String key, @Schema(description = "验证码") String code) {
}
